from sys import setrecursionlimit, stdin, stdout
import threading

setrecursionlimit(10 ** 9)
threading.stack_size(67108864)

# 4 8
# 3 4 1 2
# 2 3 4 5
# 1 16 2 4 5 6 10 15


def prod(m):
    ans = 1
    for i in range(len(m)):
        ans *= m[i]
    return ans


def nod(a, b):
    while b % a:
        a, b = b % a, a
    return a


def main():
    n, q = map(int, input().split())
    a = list(map(int, stdin.readline().split()))
    b = list(map(int, stdin.readline().split()))
    c = list(map(int, stdin.readline().split()))

    # nd = nod(b[0], b[1])
    # for i in range(1, n):
    #     nd = nod(nd, b[i])

    p = prod(b)
    ans = []
    for i in range(n):
        for j in range(n):
            ans.append((a[i] * (p / b[j]), p))
    ans.sort(key=lambda x: x[0])

    for i in c:
        n = nod(ans[i - 1][0], p)
        stdout.write(f'{int(ans[i - 1][0] / n)} {int(ans[i - 1][1] / n)}\n')


thread = threading.Thread(target=main)
thread.start()
