#include <iostream>
#include "vector"

#define ll long long

using namespace std;

ll prod(vector<ll> nums) {
    ll ans = 1;
    for (long long num: nums) {
        ans *= num;
    }
    return ans;
}

ll nd(ll a, ll b) {
    while (b %= a) swap(a, b);
    return a;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    ll a, b, c, nom = 1;
    cin >> a;

    vector<ll> noms(a);
    vector<ll> denoms(a);

    for (ll i = 0; i < a; ++i) {
        cin >> noms[i] >> denoms[i];
    }
    if (a == 1){
        cout << noms[0] << ' ' << denoms[0];
    }
    else {
        ll denom = nd(denoms[0], denoms[1]);
        for (ll i = 1; i < a; ++i) {
            denom = nd(denom, denoms[i]);
        }

        nom = nd(noms[0], noms[1]);
        for (ll i = 1; i < a; ++i) {
            nom = nd(nom, noms[i]);
        }

        cout << (prod(noms) / nom) / nd(nom, denom) << ' ' << denom / nd(nom, denom);
        return 0;
    }
}